Bug 1044417 (CVE-2017-9617)

Summary: VUL-0: CVE-2017-9617: wireshark: in version 2.2.7, deeply nested DAAP data may cause stack exhaustion
Product: [Novell Products] SUSE Security Incidents Reporter: Victor Pereira <vpereira>
Component: IncidentsAssignee: Security Team bot <security-team>
Status: RESOLVED FIXED QA Contact: Security Team bot <security-team>
Severity: Normal    
Priority: P3 - Medium CC: smash_bz
Version: unspecified   
Target Milestone: ---   
Hardware: Other   
OS: Other   
URL: https://smash.suse.de/issue/186852/
Whiteboard: CVSSv2:SUSE:CVE-2017-9617:5.0:(AV:N/AC:L/Au:N/C:N/I:N/A:P) CVSSv3:SUSE:CVE-2017-9617:5.3:(AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L)
Found By: Security Response Team Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Description Victor Pereira 2017-06-15 06:28:10 UTC
CVE-2017-9617

In Wireshark 2.2.7, deeply nested DAAP data may cause stack exhaustion
(uncontrolled recursion) in the dissect_daap_one_tag function in
epan/dissectors/packet-daap.c in the DAAP dissector.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2017-9617
http://people.canonical.com/~ubuntu-security/cve/2017/CVE-2017-9617.html
http://www.cvedetails.com/cve/CVE-2017-9617/
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-9617
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=13799
Comment 1 Lingshan Zhu 2017-09-19 08:18:08 UTC
commit e7ca2baf4dce55ab159d7d0214c43c5135b58f99 (tag:wireshark-2.2.9) has been found at upstream, fixed
Comment 3 Swamp Workflow Management 2017-09-22 16:09:01 UTC
SUSE-SU-2017:2555-1: An update that fixes 5 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1044417,1045341,1056248,1056249,1056251
CVE References: CVE-2017-13765,CVE-2017-13766,CVE-2017-13767,CVE-2017-9617,CVE-2017-9766
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP3 (src):    wireshark-2.2.9-48.9.2
SUSE Linux Enterprise Software Development Kit 12-SP2 (src):    wireshark-2.2.9-48.9.2
SUSE Linux Enterprise Server for Raspberry Pi 12-SP2 (src):    wireshark-2.2.9-48.9.2
SUSE Linux Enterprise Server 12-SP3 (src):    wireshark-2.2.9-48.9.2
SUSE Linux Enterprise Server 12-SP2 (src):    wireshark-2.2.9-48.9.2
SUSE Linux Enterprise Desktop 12-SP3 (src):    wireshark-2.2.9-48.9.2
SUSE Linux Enterprise Desktop 12-SP2 (src):    wireshark-2.2.9-48.9.2
Comment 4 Swamp Workflow Management 2018-01-09 20:21:21 UTC
SUSE-SU-2018:0054-1: An update that fixes 11 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1044417,1045341,1056248,1056249,1056251,1062645,1070727
CVE References: CVE-2017-13765,CVE-2017-13766,CVE-2017-13767,CVE-2017-15191,CVE-2017-15192,CVE-2017-15193,CVE-2017-17083,CVE-2017-17084,CVE-2017-17085,CVE-2017-9617,CVE-2017-9766
Sources used:
SUSE Linux Enterprise Software Development Kit 11-SP4 (src):    libsmi-0.4.5-2.7.2.1, portaudio-19-234.18.1, wireshark-2.2.11-40.14.5
SUSE Linux Enterprise Server 11-SP4 (src):    libsmi-0.4.5-2.7.2.1, portaudio-19-234.18.1, wireshark-2.2.11-40.14.5
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    libsmi-0.4.5-2.7.2.1, portaudio-19-234.18.1, wireshark-2.2.11-40.14.5
Comment 5 Marcus Meissner 2018-01-18 07:24:05 UTC
released
Comment 6 Swamp Workflow Management 2018-10-13 16:00:14 UTC
This is an autogenerated message for OBS integration:
This bug (1044417) was mentioned in
https://build.opensuse.org/request/show/641836 42.3 / wireshark